# std::experimental::propagate_const<T>::swap

From cppreference.com
< cpp‎ | experimental‎ | propagate const

constexpr void swap(propagate_const & pt) noexcept(/* see below */); |  | (library fundamentals TS v2)

Swaps the wrapped pointer with that of `pt`. Let `t_` designate the private data member that is the wrapped pointer-like object, then this function is equivalent to swap(t_, pt.t_).

### Parameters

pt | - | another `propagate_const` object to swap with

### Exceptions

`noexcept` specification:
noexcept(noexcept(swap(t_, pt.t_)))
Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/propagate_const/swap&oldid=98250"